Parachutes destroyed on quickload and staging in unsafe conditions
05/13/2019 08:21 PM - Kasuha

Status: Closed Start date: 05/13/2019
Severity: Low % Done: 100%
Assignee: Robert.Keech
Target version: 1.9.0

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Reproduction steps:

1/ Load the attached quicksave. Notice the top parachute on the rocket is immediately destroyed (was staged before quicksaving in
unsafe conditions so it remained primed).

Expected behavior: parachutes saved in primed state should not be destroyed on quickload in unsafe conditions and should stay in
primed state until conditions meet the deployment settings.

2/ Press Space to stage one of the parachutes on attached booster. Notice the parachute gets primed but does not deploy and is not
destroyed.

3/ Press Space again after booster flameout. That stages the other booster's parachute and decouples both boosters from the rocket.
Notice the parachute gets destroyed on both boosters.

Expected behavior: parachutes decoupled from main ship, both pre-primed and primed on decoupling, should not be destroyed when
decoupled in non-safe conditions and should stay in primed state until conditions meet the deployment settings.

History

#1 - 01/17/2020 03:39 PM - Robert.Keech
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 01/17/2020 03:42 PM - Robert.Keech

- Assignee set to Robert.Keech

#4 - 02/15/2020 04:54 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.9.0

- % Done changed from 10 to 80

#5 - 02/15/2020 04:55 PM - victorr

We have made changes in this last release and would like your feedback please.

#6 - 02/20/2020 06:23 AM - Anth12
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Testing the quick save both the top parachute and the ones attached to the side boosters work as intended now on loading. Resolved

#7 - 02/21/2020 01:45 AM - chris.fulton

- Status changed from Resolved to Closed
